CREATE TABLE ben_docs_prvdd_dtls (
    DOCS_PRVDD_DTLS_ID        NUMBER(18, 0) ,
    PERSON_ID                 NUMBER(18, 0)     NOT NULL,
    CONTACT_PERSON_ID         NUMBER(18, 0) ,
    CTFN_TYPE_CD              VARCHAR2(120)     NOT NULL,
    DOCUMENT_TYPE_ID          NUMBER(18, 0) ,
    STATUS                    VARCHAR2(120) ,
    DOR_ID                    NUMBER(18, 0) ,
    UPLOADED_BY               VARCHAR2(256) ,
    UPLOADED_DT               DATE          ,
    VALIDITY_STRT_DT          DATE          ,
    VALIDITY_END_DT           DATE          ,
    APPROVAL_STRT_DT          DATE          ,
    APPROVAL_END_DT           DATE          ,
    APPROVED_BY               VARCHAR2(256) ,
    VERIFICATION_MODE         VARCHAR2(120) ,
    COMMENTS                  VARCHAR2(4000),
    APPROVED_DT               DATE          ,
    REJECTED_DT               DATE          ,
    REJECTION_REASON          VARCHAR2(120) ,
    MAPPING_TABLE_NAME        VARCHAR2(120)     NOT NULL,
    MAPPING_COLUMN_NAME       VARCHAR2(120)     NOT NULL,
    MAPPING_TABLE_PK_ID       NUMBER(18, 0)     NOT NULL,
    BUSINESS_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    VALIDITY_CD               VARCHAR2(120) ,
    VALIDITY_TM_NUM           NUMBER(18, 0) ,
    APPROVAL_PERD_CD          VARCHAR2(120) ,
    APPROVAL_PERD_TM_NUM      NUMBER(18, 0) ,
    DOC_USG_CD                VARCHAR2(120) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PROGRAM_APP_NAME          VARCHAR2(120) ,
    PROGRAM_NAME              VARCHAR2(120) ,
    PROGRAM_UPDATE_DATE       DATE          ,
    CONFIG_ID_1               NUMBER(18, 0) ,
    CONFIG_ID_2               NUMBER(18, 0) ,
    CONFIG_ID_3               NUMBER(18, 0) ,
    CONFIG_ID_4               NUMBER(18, 0) ,
    CONFIG_ID_5               NUMBER(18, 0) ,
    CONFIG_CHAR_1             VARCHAR2(960) ,
    CONFIG_CHAR_2             VARCHAR2(960) ,
    CONFIG_CHAR_3             VARCHAR2(960) ,
    CONFIG_CHAR_4             VARCHAR2(960) ,
    CONFIG_CHAR_5             VARCHAR2(960) ,
    CONFIG_DATE_1             DATE          ,
    CONFIG_DATE_2             DATE          ,
    CONFIG_DATE_3             DATE          ,
    CONFIG_DATE_4             DATE          ,
    CONFIG_DATE_5             DATE          ,
    CONFIG_NUM_1              NUMBER        ,
    CONFIG_NUM_2              NUMBER        ,
    CONFIG_NUM_3              NUMBER        ,
    CONFIG_NUM_4              NUMBER        ,
    CONFIG_NUM_5              NUMBER        ,
    DOCS_PRVDD_DTLS_ID        NUMBER(18, 0) ,
    PERSON_ID                 NUMBER(18, 0)     NOT NULL,
    CONTACT_PERSON_ID         NUMBER(18, 0) ,
    CTFN_TYPE_CD              VARCHAR2(120)     NOT NULL,
    DOCUMENT_TYPE_ID          NUMBER(18, 0) ,
    STATUS                    VARCHAR2(120) ,
    DOR_ID                    NUMBER(18, 0) ,
    UPLOADED_BY               VARCHAR2(256) ,
    UPLOADED_DT               DATE          ,
    VALIDITY_STRT_DT          DATE          ,
    VALIDITY_END_DT           DATE          ,
    APPROVAL_STRT_DT          DATE          ,
    APPROVAL_END_DT           DATE          ,
    APPROVED_BY               VARCHAR2(256) ,
    VERIFICATION_MODE         VARCHAR2(120) ,
    COMMENTS                  VARCHAR2(4000),
    APPROVED_DT               DATE          ,
    REJECTED_DT               DATE          ,
    REJECTION_REASON          VARCHAR2(120) ,
    MAPPING_TABLE_NAME        VARCHAR2(120)     NOT NULL,
    MAPPING_COLUMN_NAME       VARCHAR2(120)     NOT NULL,
    MAPPING_TABLE_PK_ID       NUMBER(18, 0)     NOT NULL,
    BUSINESS_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    VALIDITY_CD               VARCHAR2(120) ,
    VALIDITY_TM_NUM           NUMBER(18, 0) ,
    APPROVAL_PERD_CD          VARCHAR2(120) ,
    APPROVAL_PERD_TM_NUM      NUMBER(18, 0) ,
    DOC_USG_CD                VARCHAR2(120) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PROGRAM_APP_NAME          VARCHAR2(120) ,
    PROGRAM_NAME              VARCHAR2(120) ,
    PROGRAM_UPDATE_DATE       DATE          ,
    CONFIG_ID_1               NUMBER(18, 0) ,
    CONFIG_ID_2               NUMBER(18, 0) ,
    CONFIG_ID_3               NUMBER(18, 0) ,
    CONFIG_ID_4               NUMBER(18, 0) ,
    CONFIG_ID_5               NUMBER(18, 0) ,
    CONFIG_CHAR_1             VARCHAR2(960) ,
    CONFIG_CHAR_2             VARCHAR2(960) ,
    CONFIG_CHAR_3             VARCHAR2(960) ,
    CONFIG_CHAR_4             VARCHAR2(960) ,
    CONFIG_CHAR_5             VARCHAR2(960) ,
    CONFIG_DATE_1             DATE          ,
    CONFIG_DATE_2             DATE          ,
    CONFIG_DATE_3             DATE          ,
    CONFIG_DATE_4             DATE          ,
    CONFIG_DATE_5             DATE          ,
    CONFIG_NUM_1              NUMBER        ,
    CONFIG_NUM_2              NUMBER        ,
    CONFIG_NUM_3              NUMBER        ,
    CONFIG_NUM_4              NUMBER        ,
    CONFIG_NUM_5              NUMBER        ,
    CONSTRAINT pk_ben_docs_prvdd_dtls PRIMARY KEY (DOCS_PRVDD_DTLS_ID, DOCS_PRVDD_DTLS_ID)
);
